# Module 10 Specification

## Goal

Module 10 handles websites, user tools, and social networks management with 
automated technical marketing as RSS push events from website blog, articles 
and git commits. Community building is the most important goal of this module 
and weekly calls, education, hackathons and brainstorming will be the DECA 
approach to creating a stronger, and better-informed community.

## Dependencies
- [x] Module 1

## Subprojects

- [ ] Refactor DECA Website: using [lume](https://lume.land/)
- [ ] Update DECADocs
- [ ] Create DAOTasks Website
- [ ] Fix Email isses and link them to the systems. 
- [ ] Migrate Forum to a Lemmy Instance.
- [ ] Link RSS to social networks.
- [ ] DECA LLM.
- [ ] R&D Rebranding.

Where: 

> R: Research

> D: Develop

> T: Test

## Development Reports and Repositories

### DECA WEBSITE

- [x] Deno + [lume](https://lume.land/) test [^1]
- [x] Decentralize test
    - [x] [T: DSCI gateway with nginx](https://gateway.decentralizedscience.org)
    - [ ] Decentralize with fleek for CI/CD
- [ ] [Pin IPNS in DSCI gateway](https://gateway.decentralizedscience.org)
- [x] Create repo and issues to consider the first release
- [ ] Release and Deploy first version.

Full information at the [DECA WEBSITE repository](https://git.decentralizedscience.org/DECA/deca.eco/src/branch/develop)

### Update DECADocs

from DAOTasks and Papers Documentation.
- [ ] Solve decentralization issues with rustdocs (permalinks, rootfolder and fleek)
- [ ] If it cannot be solved migrate to [lume theme](https://lume.land/themes/) (lumedocs or wiki)
- [ ] Decentralize with fleek for CI/CD
- [ ] [Pin IPNS in DSCI gateway](https://gateway.decentralizedscience.org)
- [ ] Create repo and issues to consider the first release
- [ ] Release and Deploy first version.
- [ ] Link to DECA WEBSITE.


Full information at the [DECADocs Repository](https://git.decentralizedscience.org/DECA/docs/src/branch/develop)

### Create DAOTask Website.

> Depends on DECA WEBSITE and LUME

- [ ] Fleek integration if DECA WEBSITE deploys easier consider a lume documentation instance.
- [ ] Cleanup and merge DAOTasks with DOCs so that merge only includes links to repositories and 
basic checkup list like this one.
- [ ] Decentralize with fleek for CI/CD
- [ ] [Pin IPNS in DSCI gateway](https://gateway.decentralizedscience.org)
- [ ] Link to DECA WEBSITE.

Full information at the [DaoTasks Repository](https://git.decentralizedscience.org/DECA/DAOTask/src/branch/develop)

### Fix email issues

Migrate infrastructure and setup email for services such as:

- [x] DSCI Git 
- [x] forum or lemmy instance. (we will migrate to lemmy)
- [ ] (Optional) NSI nextcloud

### Migrate Forum to a Lemmy Instance

- [ ] Deploy and test a [Lemmy Instance](https://join-lemmy.org/docs/administration/from_scratch.html).
- [ ] Deploy and test a [Lemmy Instance](https://join-lemmy.org/docs/administration/from_scratch.html).
- [ ] Check the most important post from [the DECA forum](https://forum.deca.eco)
- [ ] Migrate them to documentation or Lemmy.

### Link RSS to social networks.

> Note Rss updates will be created from git and blog posts.

- [x] Recover or Create a new Twitter account. UPDATE: new twitter account is @decatokens
- [x] Link RSS to missing telegram channels. UPDATE: using make.com
- [ ] Link twitter to RSS Updates.
- [ ] Link Discord to RSS Updates.
- [ ] Link Mirror.xyz to Blog RSS.

### DECA LLM

- [ ] Use Documentation for LLM Training. 
- [ ] Bot as FAQ for channels.
- [ ] Help on DECA Tech publications and charts.

### Rebranding

> Help Wanted

- [x] Logo Update black and white png
- [ ] Brand document

## Notes and further developments.

> Most of Module 10 work will be great to have some external help and add bounties
to it. Yet it might require the DAOTasks and the integration with the DAO and
Lemmy for debate. This will be developed gradually while testing its modules.

1. Link the Daotask to run onchain or at least linked to the snapshot.org this
might require the development of a web3 component using lit and ethers.


## References

[^1]: https://lume.land/
